Bug 799192 - Rebase nss-util to 3.13.3
Summary: Rebase nss-util to 3.13.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss-util
Version: 6.3
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Elio Maldonado Batiz
QA Contact: Aleš Mareček
URL:
Whiteboard:
Depends On: 799193
Blocks: 798539
TreeView+ depends on / blocked
 
Reported: 2012-03-02 05:31 UTC by Elio Maldonado Batiz
Modified: 2012-06-20 07:24 UTC (History)
4 users (show)

Fixed In Version: nss-util-3.13.3-2.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
No Ducumentation Needed
Clone Of:
Environment:
Last Closed: 2012-06-20 07:24:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
Changes done to build for rhel 6.3 (6.27 KB, patch)
2012-03-05 15:16 UTC, Elio Maldonado Batiz
no flags Details | Diff
Changes as actually applied (8.46 KB, text/plain)
2012-03-05 21:14 UTC, Elio Maldonado Batiz
no flags Details
Changes as actually applied (2.14 KB, patch)
2012-03-05 21:41 UTC, Elio Maldonado Batiz
rrelyea: review-
Details | Diff
Fix version-release tags and miniminum nspr version required (982 bytes, patch)
2012-03-07 19:05 UTC, Elio Maldonado Batiz
no flags Details | Diff
Cummulative changes to propely rebase to 3.13.3 (2.26 KB, patch)
2012-03-07 19:10 UTC, Elio Maldonado Batiz
rrelyea: review+
Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0973 normal SHIPPED_LIVE Moderate: nss, nss-util, and nspr security, bug fix, and enhancement update 2012-06-19 19:28:14 UTC

Description Elio Maldonado Batiz 2012-03-02 05:31:02 UTC
Description of problem: This is required in other to update nss to 3.13.3.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
The update to 3.13.3 is need to address Bug 798539 among other reasons.

Comment 3 Elio Maldonado Batiz 2012-03-05 15:07:22 UTC
The cummulative changes nss-til, a rather stable subset of nss, from 3.13.1 to 3.13.3 can be obtained with the following two buzilla queries:

https://bugzilla.mozilla.org/buglist.cgi?resolution=FIXED;classification=Components;query_format=advanced;target_milestone=3.13.2;product=NSS;list_id=2533316

https://bugzilla.mozilla.org/buglist.cgi?resolution=FIXED;classification=Components;query_format=advanced;target_milestone=3.13.3;product=NSS;list_id=2533316

Now new APIs are introduced nor new macros.

Comment 4 Elio Maldonado Batiz 2012-03-05 15:16:38 UTC
Created attachment 567663 [details]
Changes done to build for rhel 6.3

Hardly anything had to be done on account of this update. No patches were added or removed Two patches are updated to accound for code movement but nothing else. The small changes in %post and %postun of the spec file where done to comply with our packaging guidelines.

Comment 6 Elio Maldonado Batiz 2012-03-05 21:14:18 UTC
Created attachment 567758 [details]
Changes as actually applied

Comment 7 Elio Maldonado Batiz 2012-03-05 21:15:49 UTC
Comment on attachment 567758 [details]
Changes as actually applied

Please ignore, these are ones for nspr.

Comment 8 Elio Maldonado Batiz 2012-03-05 21:41:12 UTC
Created attachment 567766 [details]
Changes as actually applied

Comment 9 Bob Relyea 2012-03-06 01:51:28 UTC
Comment on attachment 567766 [details]
Changes as actually applied

r+ rrelyea

Comment 10 Bob Relyea 2012-03-06 02:04:25 UTC
Comment on attachment 567766 [details]
Changes as actually applied

RHEL 6.2 has nss-util-3.13.1-3. The last log entry before 3.13.3 is 3.13.1-2

Also you set the version number in your log file to 3.13.1-5 instead of 3.13.3-2.

Comment 11 Elio Maldonado Batiz 2012-03-07 18:23:05 UTC
(In reply to comment #10)
> Comment on attachment 567766 [details]
> Changes as actually applied
> 
> RHEL 6.2 has nss-util-3.13.1-3. The last log entry before 3.13.3 is 3.13.1-2

I'll explain the reasons for this below.

> Also you set the version number in your log file to 3.13.1-5 instead of
> 3.13.3-2.

Indeed, that is wrong. It should actually have been 3.13.3-1 as the top has
Version:          3.13.3
Release:          1%{?dist}

There is amnother error. The very first line says
%global nspr_version 4.8.9
and it should be
%global nspr_version 4.9

That's the minimun nspr version that feeds into
Requires:         nspr >= %{nspr_version}
BuildRequires:    nspr-devel >= %{nspr_version}

Getting back to for first comment: 
> RHEL 6.2 has nss-util-3.13.1-3.
Here are results of my investigation:

RHEL 6.2 nss-util History from 
https://brewweb.devel.redhat.com/buildinfo?buildID=198386

Changelog
 * Fri Feb 10 2012 Elio Maldonado Batiz <emaldona@redhat.com>
 - 3.13.1-3 - Related: Bug 773056 - Update to 3.13.1
 - Retagging

NOTE: Corrective build to bring sources in synchrony with last build done.
Merging from 6.3 into 6.2 and retagging. A loophole in the rhpg tool allowed
a build targetted for 6.2 but from the RHEL-6.3 branch to occur. The tool has
since been fixed. This build rectified this sutiation.

 * Mon Jan 30 2012 Martin Stransky <stransky@redhat.com> 3.13.1-2
 - Rebuild for NSPR 4.8.9

 * Wed Jan 18 2012 Elio Maldonado <emaldona@redhat.com>
 - 3.13.1-1 - Resolves: Bug 773056 - Update to 3.13.1

 * Tue Sep 27 2011 Elio Maldonado <emaldona@redhat.com>
 - 3.12.10-2 - Add relro support for executables and shared libraries

 * Wed Jul 06 2011 Elio Maldonado <emaldona@redhat.com>
 - 3.12.10-1 - Update to 3.12.10

-----------------------------------------------------------------------------
RHEL 6.3 nss-util History from 
https://brewweb.devel.redhat.com/buildinfo?buildID=201653

Changelog
 * Mon Mar 05 2012 Elio Maldonado <emaldona@redhat.com> - 3.13.1-5
 - Resolves: rhbz#799192 - Update to 3.13.3
This build is incorrect: Those two lines don't match!
Updating to 3.13.3 with a 3.13.1-5 tag!
At the top I have:
Version:          3.13.3
Release:          1%{?dist}
That's correct. But this other one, which deteemines the minimom nspt version
for Requires and BuildRequired says '%global nspr_version 4.8.9', not right.
It should be %global nspr_version 4.9. Release tagging and release dependencies
(requires) are worong. We now need a 3.13.3-2 build.

 * Mon Jan 30 2012 Martin Stransky <stransky@redhat.com> 3.13.1-2
 - Rebuild for NSPR 4.8.9

 * Wed Jan 18 2012 Elio Maldonado <emaldona@redhat.com>
 - 3.13.1-1 - Resolves: Bug 773056 - Update to 3.13.1

 * Tue Sep 27 2011 Elio Maldonado <emaldona@redhat.com>
 - 3.12.10-2 - Add relro support for executables and shared libraries

 * Wed Jul 06 2011 Elio Maldonado <emaldona@redhat.com>
 - 3.12.10-1 - Update to 3.12.10 

---------------------
This call for a verification that we end up with the same sources for 6.2 and 6.3.

0. The brew builds are at
https://brewweb.devel.redhat.com/packageinfo?packageID=18328
We are interested in 
nss-util-3.13.3-1.el6 	emaldona 2012-03-05 16:44:36 	complete (current)
nss-util-3.13.1-3.el6_2 emaldona 2012-02-10 17:18:09 	complete (Last 6.2)
nss-util-3.13.1-1.el6 	emaldona 2012-01-23 21:55:22 	complete (Last 6.3)

Downloaded and compared the debuginfos with
diff --recursive nss-util-debuginfo-3.13.1-3.el6_2.x86_64/usr/src/debug/nss-util-3.13.1/ nss-util-debuginfo-3.13.1-1.el6.x86_64/usr/src/debug/nss-util-3.13.1/
which shows me no differences. Rebasing changes  relative to either branch should give me the same results, provided I don't make other mistakes as obviously did.

We need an nss-util-3.13.3-2 build to fix this.

Comment 12 Elio Maldonado Batiz 2012-03-07 19:05:01 UTC
Created attachment 568396 [details]
Fix version-release tags and miniminum nspr version required

Comment 13 Elio Maldonado Batiz 2012-03-07 19:10:03 UTC
Created attachment 568398 [details]
Cummulative changes to propely rebase to 3.13.3

Committed locally only, not pushed to the git repository yet. 
scratch build at https://brewweb.devel.redhat.com/taskinfo?taskID=4127343

Comment 14 Bob Relyea 2012-03-09 00:31:51 UTC
Comment on attachment 568398 [details]
Cummulative changes to propely rebase to 3.13.3

r+ rrelyea

Comment 16 Bob Relyea 2012-03-13 22:19:43 UTC
Comment on attachment 568396 [details]
Fix version-release tags and miniminum nspr version required

clearing review flag. This patch was already incorporated in the patch with the r+.

Comment 18 Elio Maldonado Batiz 2012-04-26 18:42:19 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No Ducumentation Needed

Comment 19 errata-xmlrpc 2012-06-20 07:24:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0973.html


Note You need to log in before you can comment on or make changes to this bug.